SliceParams.h File Reference
`#include "SliceLikeParams.h"`
`#include <string>`

Go to the source code of this file.

## Classes

class | SliceParams

## Functions

void | addIdealParams (CliParams &params)
void | extractCliValues (SliceParams &slice, const CliParams &cli)
void | validateSplit (const SliceParams &params, bool allowLabel, bool allowDegree)

## Function Documentation

## addIdealParams()

void addIdealParams | ( | CliParams & | params | ) |

## extractCliValues()

void extractCliValues | ( | SliceParams & | slice,
|  | const CliParams & | cli )

Definition at line 50 of file SliceParams.cpp.

## validateSplit()

void validateSplit | ( | const SliceParams & | params,
|  | bool | allowLabel,
|  | bool | allowDegree )

Definition at line 61 of file SliceParams.cpp.